# Class Touch

java.lang.Object
org.eclipse.swt.widgets.Touch

public final class Touch extends Object
Instances of this class are created in response to a touch-based input device being touched. They are found in the `touches` field of an Event or TouchEvent.

Since:
  1.4
See Also:
  - `TouchEvent`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`id`
The unique identity of the touch.
`boolean`
`primary`
A flag indicating that the touch is the first touch from a previous state of no touch points.
`TouchSource`
`source`
The object representing the input source that generated the touch.
`int`
`state`
The state of this touch at the time it was generated.
`int`
`x`
The X location of the touch in TouchSource coordinates
`int`
`y`
The Y location of the touch in TouchSource coordinates

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
The unique identity of the touch. Use this value to track changes to a touch during the touch's life. Two touches may have the same identity even if they come from different sources.

### source

public TouchSource source
The object representing the input source that generated the touch.

### state

public int state
The state of this touch at the time it was generated. If this field is 0 then the finger is still touching the device but has not moved since the last `TouchEvent` was generated.

See Also:
  - `SWT.TOUCHSTATE_DOWN`
  - `SWT.TOUCHSTATE_MOVE`
  - `SWT.TOUCHSTATE_UP`

### primary

public boolean primary
A flag indicating that the touch is the first touch from a previous state of no touch points. Once designated as such, the touch remains the primary touch until all fingers are removed from the device.

### x

public int x
The X location of the touch in TouchSource coordinates

### y

public int y
The Y location of the touch in TouchSource coordinates

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the event